Vai al contenuto

Image Preprocessors · Midas

Integra

ID del modello image-preprocessors/midas
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-preprocessors/midas?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Questa richiesta: ≈0,008 $ 8 crediti API Esegui in questa pagina

Ottieni la chiave API
Utility · Dati (JSON)

Il tuo primo risultato apparirà qui

Crea una richiesta qui sotto ed eseguila con la tua chiave API. Gli output vengono copiati nella nostra archiviazione, conservati per sempre oppure 7 giorni gratuitamente.

Crea una richiesta

I controlli vengono generati dallo schema del modello. Il codice e il prezzo si aggiornano mentre li modifichi.

•obbligatorio image_url
Trascina un file oppure

URL che punta all'immagine da elaborare.

Avanzate a · background_threshold
predefinito 6.283185307179586

Impostazione utilizzata dal rilevatore MiDaS.

predefinito 0.1

Soglia del rilevatore MiDaS per lo sfondo.

POST /run/image-preprocessors/midas?wait=20 preventivo → 0,008 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-preprocessors/midas?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esegui questa richiesta

La tua chiave rimane in questo browser: viene inviata solo al Doitong API e salvata in localStorage solo se selezioni Ricorda. Ottieni una chiave API

Informazioni su Image Preprocessors · Midas

Esegue la stima della profondità MiDaS su `image_url` e restituisce due output: una `depth_map` e una `normal_map`. Gli input numerici `a` (valore predefinito 2π) e `background_threshold` (valore predefinito 0.1) regolano il rilevatore.

Parametri

Invia il nome canonico oppure il nome nativo, non entrambi. Nomi canonici

NomeTipo PredefinitoConsentiti Descrizione
image_urlobbligatorio image
Tipourl · image
URL che punta all'immagine da elaborare.
afacoltativo
Tiponumber
Predefinito6.283185307179586
Impostazione utilizzata dal rilevatore MiDaS.
background_thresholdfacoltativo
Tiponumber
Predefinito0.1
Soglia del rilevatore MiDaS per lo sfondo.
obbligatorio Nome canonico, accettato anche

I parametri file accettano un URL pubblico https://, un URI data: fino a 10 MB oppure il file_url di un caricamento. File

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-preprocessors/midas",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 8,
    "usd": "0.008",
    "charged": 8,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "depth_map": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "normal_map": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
I tuoi file, la tua sceltaOgni outputs[].url è una copia nella nostra archiviazione: conservata per sempre (a pagamento per GB-mese) oppure 7 giorni gratuitamente, in base all'impostazione dell'account o a ?storage=.
Stessa struttura per ogni modellotype, url, content_type, width, height e duration, per immagini, video e audio. output è l'oggetto risultato del modello.
Campi dell'output
depth_map
object {url, content_type, file_name, file_size, width, height}Immagine contenente una mappa di profondità generata da MiDaS.
normal_map
object {url, content_type, file_name, file_size, width, height}Immagine contenente una mappa delle normali generata da MiDaS.

Altri modelli: Modifica immagini

Per gli agenti AI: questa pagina in Markdown è disponibile all'indirizzo https://doitong.com/it/developers/models/image-preprocessors/midas.md. Tutti i modelli e le guide: https://doitong.com/developers/llms.txt